package com.lz.modules.sys.service.app;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.app.req.ResultRecordReq;
import com.lz.modules.flow.entity.FlowRecord;
import com.lz.modules.sys.entity.app.ResultComment;

import java.util.List;

/**
* <p>
* 业绩评论表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-10
*/
public interface ResultCommentService extends IService<ResultComment> {



	ResultComment selectResultCommentById(Long id);


	Long insertResultComment(ResultComment resultComment);


	int updateResultCommentById(ResultComment resultComment);


	int updateCoverResultCommentById(ResultComment resultComment);


	int deleteResultCommentById(Long id);


    List<ResultComment> selectByRecordId(Long id);

	ResultComment selectLastComment(Long recordId);


	void addOrUpdateComment(ResultRecordReq req, Long userId, int status , FlowRecord lastUsedFlowRecord);

    int updateResultCommentCommentById(Long commandId, String commandValue);
}